
#language: ru

@SalesOfProducts

Функционал: 009. SalesOfProducts. Создание планов отгрузки

Сценарий: 009.1. SalesOfProducts. Создание плана отгрузки на основании заказа - для реализации вручную

	Дано Я подключаюсь под "Создание планов отгрузки"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.009. Реализация товаров"
	Дано я удаляю объекты "Документы.к2ПланОтгрузки" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                      |
		| 'Заказ Обычного покупателя для реализации вручную' |
	И я нажимаю на кнопку 'План отгрузки'
	Тогда открылось окно 'План отгрузки (создание)'
	И элемент формы "Склад" стал равен "Сырная ГП"
	И флаг "Требуется доставка" равен "Да"
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | 'Характеристика'   | 'Серия' | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Сыр Адыгейский' | 'кг'  | '<Без маркировки>' | ''      | '10,000, кг'     | '10'      | '11,23'    |
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'План отгрузки для реализации вручную'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 009.2. SalesOfProducts. Создание плана отгрузки на основании заказа - для реализации на неавтоматизированных складах

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                                        |
		| 'Использование неавтоматизированных складов при оформлении накладных. Заказ клиента' |
	И я нажимаю на кнопку 'План отгрузки'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле с именем 'Дата' я ввожу текст '22.03.2020  0:00:00'
	И из выпадающего списка "Статус" я выбираю точное значение 'В наборку'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'Использование неавтоматизированных складов при оформлении накладных. План отгрузки'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки * от *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 009.3. SalesOfProducts. Создание планов отгрузки через АРМ Формирование плана отгрузки - по одному заказу клиента

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "11.10.2019"
	Тогда таблица "ТаблицаРаспоряжений" стала равной:
		| 'Заказ' | 'Получатель'                          | 'В плане' | 'План отгрузки' | 'Зона доставки' | 'Склад отгрузки' |
		| '10'    | 'Обычная точка доставки. Без региона' | ''        | ''              | ''              | 'Сырная ГП'      |
	И я нажимаю на кнопку 'общее'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.4. SalesOfProducts. Проверка плана отгрузки созданного по одному заказу клиента через АРМ Формирование плана отгрузки

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата отгрузки' | 'Ответственный'            | 'Склад'     | 'Статус'        |
		| '11.10.2019'    | 'Создание планов отгрузки' | 'Сырная ГП' | 'Запланировано' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от *'
	И элемент формы "Статус" стал равен 'Запланировано'
	И элемент формы 'Дата отгрузки' стал равен '11.10.2019'
	И элемент формы "Склад" стал равен 'Сырная ГП'
	И элемент формы "Требуется доставка" стал равен 'Да'
	И таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Основание'                     | 'Номенклатура'   | 'Ед.' | 'Характеристика'   | 'Серия' | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,000'     | 'Заказ клиента * от * [Создан]' | 'Сыр Адыгейский' | 'кг'  | '<Без маркировки>' | ''      | '10,000, кг'     | '10'      | '11,23'    |
	* Проверка способа создания
		И элемент формы "Способ создания" стал равен 'АРМ \"Формирование планов отгрузки\"'
	И элемент формы "Ответственный" стал равен 'Создание планов отгрузки'
	И элемент формы 'Вес, кг' стал равен '10,000'
	И элемент формы 'Мест, м3' стал равен '11,230'
	И Я закрываю окно 'План отгрузки * от *'
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 009.5. SalesOfProducts. Создание планов отгрузки через АРМ Формирование плана отгрузки - по двум заказам клиента

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "15.10.2019"
	Тогда я выбираю пункт контекстного меню с именем 'ТаблицаРаспоряженийКонтекстноеМенюВыделитьВсе' на элементе формы с именем "ТаблицаРаспоряжений"
	И я нажимаю на кнопку 'общее'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.6. SalesOfProducts. Проверка плана отгрузки созданного по двум заказам клиента через АРМ Формирование плана отгрузки

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата отгрузки' | 'Ответственный'            | 'Склад'     | 'Статус'        |
		| '15.10.2019'    | 'Создание планов отгрузки' | 'Сырная ГП' | 'Запланировано' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от *'
	И элемент формы "Статус" стал равен 'Запланировано'
	И элемент формы "Дата отгрузки" стал равен '15.10.2019'
	И элемент формы "Склад" стал равен 'Сырная ГП'
	И элемент формы "Требуется доставка" стал равен 'Да'
	И таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Основание'                     | 'Номенклатура'    | 'Ед.' | 'Характеристика'   | 'Серия' | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '10,250'     | 'Заказ клиента * от * [Создан]' | 'Сыр Адыгейский'  | 'кг'  | '<Без маркировки>' | ''      | '10,250, кг'     | '10,25'   | '11,511'   |
		| '10,250'     | 'Заказ клиента * от * [Создан]' | 'Сыр Адыгейский'  | 'кг'  | 'Ашан'             | ''      | '10,250, кг'     | '10,25'   | '11,511'   |
		| '20,500'     | 'Заказ клиента * от * [Создан]' | 'Сыр Костромской' | 'кг'  | '<Без маркировки>' | ''      | '20,500, кг'     | '20,5'    | ''         |
		| '10,250'     | 'Заказ клиента * от * [Создан]' | 'Сыр Адыгейский'  | 'кг'  | '<Без маркировки>' | ''      | '10,250, кг'     | '10,25'   | '11,511'   |
		| '10,250'     | 'Заказ клиента * от * [Создан]' | 'Сыр Адыгейский'  | 'кг'  | 'Ашан'             | ''      | '10,250, кг'     | '10,25'   | '11,511'   |
		| '20,500'     | 'Заказ клиента * от * [Создан]' | 'Сыр Костромской' | 'кг'  | '<Без маркировки>' | ''      | '20,500, кг'     | '20,5'    | ''         |
	* Проверка способа создания
		И элемент формы "Способ создания" стал равен 'АРМ \"Формирование планов отгрузки\"'
	И элемент формы "Ответственный" стал равен 'Создание планов отгрузки'
	И элемент формы 'Вес, кг' стал равен '82,000'
	И элемент формы 'Мест, м3' стал равен '46,044'
	И Я закрываю окно 'План отгрузки * от *'
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 009.7. SalesOfProducts. Создание планов отгрузки через АРМ Формирование плана отгрузки - по двум заказам для реализации где количество в паллете больше чем в заказе

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "16.10.2019"
	Тогда я выбираю пункт контекстного меню с именем 'ТаблицаРаспоряженийКонтекстноеМенюВыделитьВсе' на элементе формы с именем "ТаблицаРаспоряжений"
	И я нажимаю на кнопку 'общее'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.8. SalesOfProducts. Создание планов отгрузки через АРМ Формирование плана отгрузки - по двум заказам для реализации где количество в паллете меньше чем в заказе

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "17.10.2019"
	Тогда я выбираю пункт контекстного меню с именем 'ТаблицаРаспоряженийКонтекстноеМенюВыделитьВсе' на элементе формы с именем "ТаблицаРаспоряжений"
	И я нажимаю на кнопку 'общее'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.9. SalesOfProducts. Создание планов отгрузки через АРМ Формирование плана отгрузки - для реализации по двум складам в одном заказе

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "28.01.2020"
	Тогда я выбираю пункт контекстного меню с именем 'ТаблицаРаспоряженийКонтекстноеМенюВыделитьВсе' на элементе формы с именем "ТаблицаРаспоряжений"
	И я нажимаю на кнопку 'общее'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.10. SalesOfProducts. Проверка плана отгрузки, созданного для реализации по двум складам в одном заказе через АРМ Формирование плана отгрузки - склад Сырная ГП

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата отгрузки' | 'Ответственный'            | 'Склад'     | 'Статус'        |
		| '28.01.2020'    | 'Создание планов отгрузки' | 'Сырная ГП' | 'Запланировано' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от *'
	И элемент формы "Статус" стал равен 'Запланировано'
	И элемент формы "Дата отгрузки" стал равен '28.01.2020'
	И элемент формы "Склад" стал равен 'Сырная ГП'
	И элемент формы "Требуется доставка" стал равен 'Да'
	И таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Основание'                     | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия' | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '20,000'     | 'Заказ клиента * от * [Создан]' | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | ''      | '102,500, кг'    | '205'     | '115,108'  |
	* Проверка способа создания
		И элемент формы "Способ создания" стал равен 'АРМ \"Формирование планов отгрузки\"'
	И элемент формы "Ответственный" стал равен 'Создание планов отгрузки'
	И элемент формы 'Вес, кг' стал равен '205,000'
	И элемент формы 'Мест, м3' стал равен '115,108'
	И Я закрываю окно 'План отгрузки * от *'
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 009.11. SalesOfProducts. Проверка плана отгрузки, созданного для реализации по двум складам в одном заказе через АРМ Формирование плана отгрузки - склад Куриная ГП

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата отгрузки' | 'Ответственный'            | 'Склад'      | 'Статус'        |
		| '28.01.2020'    | 'Создание планов отгрузки' | 'Куриная ГП' | 'Запланировано' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от *'
	И элемент формы "Статус" стал равен 'Запланировано'
	И элемент формы "Дата отгрузки" стал равен '28.01.2020'
	И элемент формы "Склад" стал равен 'Куриная ГП'
	И элемент формы "Требуется доставка" стал равен 'Да'
	И таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Основание'                     | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия' | 'В ед. хранения' | 'Вес, кг' | 'Мест, м3' |
		| '15,000'     | 'Заказ клиента * от * [Создан]' | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | ''      | '76,875, кг'     | '153,75'  | '86,331'   |
	* Проверка способа создания
		И элемент формы "Способ создания" стал равен 'АРМ \"Формирование планов отгрузки\"'
	И элемент формы "Ответственный" стал равен 'Создание планов отгрузки'
	И элемент формы 'Вес, кг' стал равен '153,750'
	И элемент формы 'Мест, м3' стал равен '86,331'
	И Я закрываю окно 'План отгрузки * от *'
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 009.12. SalesOfProducts. Отчет Сравнение заказов и планов отгрузки
	
	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Сравнение заказов и планов отгрузки"
	Тогда открылось окно 'Сравнение заказов и планов отгрузки'
	И в поле с именем 'Период1ДатаНачала' я ввожу текст '01.08.2019'
	И в поле с именем 'Период1ДатаОкончания' я ввожу текст '29.10.2020'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет сравнение заказов и планов отгрузки" по шаблону
	И Я закрываю окно 'Сравнение заказов и планов отгрузки'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 009.13. SalesOfProducts. Изменение плана отгрузки и его актуализация по заказу

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "11.10.2019"
	Тогда таблица "ТаблицаРаспоряжений" стала равной по шаблону:
		| 'Заказ' | 'Получатель'                          | 'В плане' | 'План отгрузки'        | 'Зона доставки' | 'Склад отгрузки' |
		| '10'    | 'Обычная точка доставки. Без региона' | '10'      | 'План отгрузки * от *' | ''              | 'Сырная ГП'      |
	И в таблице "ТаблицаРаспоряжений" я активизирую поле с именем "ТаблицаРаспоряженийПланОтгрузки"
	И в таблице "ТаблицаРаспоряжений" я выбираю текущую строку
	Тогда открылось окно 'План отгрузки * от *'
	И я перехожу к закладке с именем "СтраницаТовары"
	И в таблице "Товары" я выбираю текущую строку
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '5,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в поле с именем 'Комментарий' я ввожу текст 'Актуализация'
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'План отгрузки * от * *' в течение 20 секунд
	Тогда открылось окно 'Формирование планов отгрузки *'
	И я нажимаю на кнопку с именем 'ТаблицаРаспоряженийОбновитьТаблицуРаспоряжений'
	Тогда таблица "ТаблицаРаспоряжений" стала равной по шаблону:
		| 'Заказ' | 'Получатель'                          | 'В плане' | 'План отгрузки'        | 'Зона доставки' | 'Склад отгрузки' |
		| '10'    | 'Обычная точка доставки. Без региона' | '5'       | 'План отгрузки * от *' | ''              | 'Сырная ГП'      |
	И я нажимаю на кнопку с именем 'ТаблицаРаспоряженийСформироватьОбщееРаспоряжение'
	Тогда таблица "ТаблицаРаспоряжений" стала равной по шаблону:
		| 'Заказ' | 'Получатель'                          | 'В плане' | 'План отгрузки'        | 'Зона доставки' | 'Склад отгрузки' |
		| '10'    | 'Обычная точка доставки. Без региона' | '10'      | 'План отгрузки * от *' | ''              | 'Сырная ГП'      |
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 009.14. SalesOfProducts. Завершение

	И Я закрыл все окна клиентского приложения